Updates information about an application in the system
PUT/qsystem/rest/config/applications/:applicationId
Updates information about an application in the system. It also initiates a publish of the information to the agents. No error message will be returned if the publishing fails on the agent. The display messages cannot be updated using this method.
Request with complete object:
curl -u user:password -i -X PUT -H 'content-type:application/json' -d
'{"id":"application1","path":"application1","enabled":"true","branchApp":"false","distributed":"false",
"viewIndex":100}'
http://orchestra-host:orchestra-port/qsystem/rest/config/applications/{applicationId}
Minimal request only updating viewIndex:
curl -u user:password -i -X PUT -H 'content-type:application/json' -d
'{"id":"application1","viewIndex":1}'
http://orchestra-host:orchestra-port/qsystem/rest/config/applications/{applicationId}
-
Only values present in the json request object will be updated.
-
Any display messages in the json will be ignored.
-
Only the given values will be updated.
-
The path must be a valid URI and it may not contain any request parameters.
Request
Responses
- 204
Success